
Name:           vbox-test-media
Version:        1.0
Release:        %mkrel 4
Summary:        Quickly test ISO/USB in Virtualbox
License:        GPL
Group:          Emulators
URL:            http://pclinuxos
Source1:        test-vbox
Source2:        test-vbox.desktop
Source3:        xblack-bull.png
Source4:        test-vbox.png
Requires:       yad
Obsoletes:      vbox-testiso
Obsoletes:      vbox-testusb

%description
This program allows you to quickly boot an ISO file or USB device using VirtuaBox
with various options available. Requires a valid VirtualBox installation. 

%prep

%build

%install
install -Dm755 %SOURCE1 %{buildroot}/%{_bindir}/test-vbox
install -Dm644 %SOURCE2 %{buildroot}/%{_datadir}/applications/test-vbox.desktop
install -Dm644 %SOURCE3 %{buildroot}/%{_datadir}/icons/mini/xblack-bull.png
install -Dm644 %SOURCE4 %{buildroot}/%{_datadir}/pixmaps/test-vbox.png

%files
%{_bindir}/test-vbox
%{_datadir}/applications/test-vbox.desktop
%{_datadir}/icons/mini/xblack-bull.png
%{_datadir}/pixmaps/test-vbox.png

%post
%update_menus

%postun
%clean_menus

%posttrans
SYSUSERS=$(grep [0-9][0-9][0-9]:.*/home /etc/passwd | grep -f /etc/shells | cut -d: -f1)
for idx in $SYSUSERS
do
	usermod -a -G disk $idx >/dev/null 2>&1
done


%changelog
* Tue Mar 09 2020 tex - 1.0-4pclos2021
- fix menu button per decadeNT

* Mon Sep 16 2019 tex - 1.0-3pclos2019
- give its own icon for the menu
- adjust menu entry

* Tue Sep 10 2019 tex - 1.0-2pclos2019
- add users to the disk group

* Tue Sep 10 2019 tex - 1.0-1pclos2019
- new
